import RandomSeed = require("random-seed");
declare type ValueType = "float" | "int" | "null" | "string" | "object" | "array" | "branchDone";
interface Range {
    min: number;
    max: number;
}
interface Spec {
    seed: string;
    nodeCountRange: Range;
    distribution: {
        [key in ValueType]: number;
    };
    propPrefixes: string[];
    stringValues: string[];
    floatRange: Range;
    intRange: Range;
}
export declare type PartialSpec = Partial<Spec>;
declare type Distribution = {
    [key: string]: number;
};
export declare function selectRandomKey(distribution: Distribution, random: RandomSeed.RandomSeed): string;
export declare function create(partialSpec: PartialSpec, rand?: RandomSeed.RandomSeed): any;
export {};
